### Hierarchy

- OfferShareData

## Index

### Constructors

- constructor

### Properties

- accepted
- clientId
- clientResponse
- offerOwner
- offerSearchId
- priceId
- worth

## Constructors

### constructor

- new OfferShareData(offerSearchId: number, clientResponse: string, priceId: number): OfferShareData

- - Defined in repository/models/OfferShareData.ts:8

  #### Parameters

  - ##### offerSearchId: number

  - ##### clientResponse: string

  - ##### priceId: number

  #### Returns OfferShareData

## Properties

### accepted

accepted: boolean = false

- Defined in repository/models/OfferShareData.ts:7

### clientId

clientId: string = "0x0"

- Defined in repository/models/OfferShareData.ts:4

### clientResponse

clientResponse: string = ""

- Defined in repository/models/OfferShareData.ts:5

### offerOwner

offerOwner: string = "0x0"

- Defined in repository/models/OfferShareData.ts:3

### offerSearchId

offerSearchId: number = 0

- Defined in repository/models/OfferShareData.ts:2

### priceId

priceId: number

- Defined in repository/models/OfferShareData.ts:8

### worth

worth: string = "0"

- Defined in repository/models/OfferShareData.ts:6

Generated using TypeDoc